Subject: reverse tunnel fails on windows client
From: "Sebastian T." <[email-masked]>
To: [email-masked]
Date: Sat, 22 Oct 2016 23:59:42 +0200

Package: x2go-client
Version: 4.0.5.2 

With win 7 and a first fresh install of x2go client I could not get client-side 
printing nor folder sharing activated . THe message popped up after attempting 
connection that sshd has not been started due to problem loading host key.

the log :
Could not load host key: /cygdrive/C/Users/user/.x2go/etc/ssh_host_dsa_key
Disabling protocol version 2. Could not load host key
sshd: no hostkeys available -- exiting.

I run the key gen that is provided with the x2go client package manually but 
kept getting the same error

I listed the content of the direcotry mentioned above

 Directory of c:\Users\user\.x2go\etc

2016-10-20  22:53    <DIR>          .
2016-10-20  22:53    <DIR>          ..
2016-10-22  22:38               279 sshd_config
2016-10-20  22:53             1 679 ssh_host_rsa_key
2016-10-20  22:53               405 ssh_host_rsa_key.pub

and realised that the file name contains _rsa_ not _dsa_ as x2go client expects

I created copy of the files but renaming _rsa_ to _dsa_
and it works - both the client side printing as well as direcotry sharing

Client OS version: WIN7 
x2go version : latest september 2016 build